<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'Api';
$route['Api'] = 'Api';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

//admin dashboard
$route['login'] = 'admin/auth/login';
$route['admin/logout'] = 'admin/dashboard/Logout';
$route['admin'] = 'admin/dashboard';

//All Users and Bookings
$route['admin/useraccounts/(:any)'] = 'admin/dashboard/useraccounts/$1';
$route['admin/bookings/(:any)'] = 'admin/dashboard/bookings/$1';
$route['admin/services/(:any)'] = 'admin/dashboard/services/$1';


//transactions
$route['admin/transactions/(:any)'] = 'admin/dashboard/transactions/$1';

//message and notification
$route['admin/messages/(:any)'] = 'admin/dashboard/messages/$1';

//setcommission
$route['admin/setcommission'] = 'admin/dashboard/setcommission';
$route['admin/setcommissionpage/(:any)'] = 'admin/dashboard/setcommissionpage/$1';

//assigndriver
//$route['admin/assigndriver'] = 'admin/dashboard/assigndriver';
$route['admin/assigndriver/(:any)'] = 'admin/dashboard/assigndriver/$1';
$route['admin/driverassigned'] = 'admin/dashboard/driverassigned';

$route['adminauth'] = 'admin/auth/adminauth';
$route['admin/adminapprovalform'] = 'admin/dashboard/adminapprovalform';
$route['admin/changepassword'] = 'admin/dashboard/changeadminpassword';
$route['admin/setdminpassword'] = 'admin/dashboard/setdminpassword';

$route['admin/adminmanagement'] = 'admin/dashboard/adminusers';
$route['admin/editadmin/(:any)'] = 'admin/dashboard/editadmin/$1';
$route['admin/deleteadmin/(:any)'] = 'admin/dashboard/deleteadmin/$1';
//$route['admin/newadmin'] = 'admin/dashboard/newadmin';
$route['admin/setnewadmin'] = 'admin/dashboard/setnewadmin';
$route['admin/updateadmin'] = 'admin/dashboard/updateadmin';

 //View User Profile
//$route['admin/viewprofile/(:any)'] = "admin/dashboard/viewprofile/$1";
$route['admin/viewprofile/(:any)/(:any)/(:any)'] = "admin/dashboard/viewprofile/$1/$2/$3";


$route['admin/approverequest/(:any)'] = 'admin/dashboard/approverequest/$1';
$route['admin/rejectrequest/(:any)'] = 'admin/dashboard/rejectrequest/$1';
$route['admin/disablemoneytab/(:any)'] = 'admin/dashboard/disablemoneytab/$1';
$route['admin/enablemoneytab/(:any)'] = 'admin/dashboard/enablemoneytab/$1';
$route['admin/reversetransaction/(:any)'] = 'admin/dashboard/reversetransaction/$1';

//activate users activate and deactivate
$route['admin/activateuser/(:any)'] = 'admin/dashboard/activateuser/$1';
$route['admin/deactivateuser/(:any)'] = 'admin/dashboard/deactivateuser/$1';


//deposits
$route['admin/deposits'] = 'admin/dashboard/deposits/$1';
$route['admin/reverdeposit/(:any)'] = 'admin/dashboard/reverdeposit/$1';


$route['admin/rejectrequestinner/(:any)'] = 'admin/dashboard/rejectrequestinner/$1';
$route['admin/approverequestinner/(:any)'] = 'admin/dashboard/approverequestinner/$1';

$route['admin/withdrawals'] = 'admin/dashboard/withdrawals';



//api keys

$route['admin/updatesettings/(:any)'] = 'admin/dashboard/updatesettings/$1';

//verify user after uploading documents
$route['admin/verifyuser/(:any)'] = 'admin/dashboard/verifyuser/$1';



