<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	 public  function __construct() {
	      parent::__construct();
         $this->load->helper('url'); //Loading url helper  
	     $this->load->library('session');
	     if(!$this->session->userdata('logged_in')){
    		redirect('login');
    	 }
        
    	 
    	 
	 }
	 
	public function index(){
    	
        $data['title'] = 'Admin Dashboard';
        
        $alldrivers = $this->dashboard_model->alldriversCount();
        $allriders = $this->dashboard_model->allridersCount();
        $allmembers = $this->dashboard_model->allmembersCount();
        
        $data['alluser'] = $alldrivers + $allriders + $allmembers;
        $data['alldrivers'] = $alldrivers;
        $data['allriders'] = $allriders;
        $data['allmembers'] = $allmembers;
        $data['allCompletedbooking'] = $this->dashboard_model->allCompletedbookingCount();
        $data['allCompletedService'] = $this->dashboard_model->allCompletedServiceCount();
        $data['allCompletedWithdraw'] = $this->dashboard_model->allCompletedWithdrawCount();
        $data['allCompletedDeposit'] = $this->dashboard_model->allCompletedDepositCount();
        
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/dashboard.php',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function useraccounts($status){
	    $data['title'] = 'PickMe User Accounts';
	    switch($status){
            case 'member':
	            $fstatus=0;
	            $data['Ttitle'] = 'PickMe Members';
                break;
            case 'driver':
	            $fstatus=1;
	            $data['Ttitle'] = 'PickMe Drivers';
                break;
            case 'riders':
	            $fstatus=2;
	            $data['Ttitle'] = 'PickMe Riders';
                break;
            default:
	            //$data['Ttitle'] = 'All Users';
                //$fstatus=$status;
	    }
	    
	     $alldrivers = $this->dashboard_model->alldriversCount();
        $allriders = $this->dashboard_model->allridersCount();
        $allmembers = $this->dashboard_model->allmembersCount();
        
        $data['alluser'] = $alldrivers + $allriders + $allmembers;
        $data['alldrivers'] = $alldrivers;
        $data['allriders'] = $allriders;
        $data['allmembers'] = $allmembers;
	    $data['allusers'] = $this->dashboard_model->get_allsers($fstatus);
	    $data['status'] = $fstatus;
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/useraccounts.php',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function bookings($status){
	    $data['title'] = 'PickMe Trip Booking Accounts';
	    switch($status){
            case 'new':
	            $fstatus=0;
	            $data['Ttitle'] = 'New Trip bookings';
                break;
            case 'bike':
	            $fstatus=1;
	            $data['Ttitle'] = 'All Bike Trip Bookings';
                break;
            case 'car':
	            $fstatus=2;
	            $data['Ttitle'] = 'All Car Trip Bookings';
                break;
            default:
	            //$data['Ttitle'] = 'All Users';
                //$fstatus=$status;
	    }
	    
	    $data['allAwaiting'] = $this->dashboard_model->allAwaitingbookingCount();
	    $data['allOntrip'] = $this->dashboard_model->allOntripbookingCount();
	    $data['allCancelled'] = $this->dashboard_model->allCancelledbookingCount();
	    $data['allCompletedbooking'] = $this->dashboard_model->allCompletedbookingCount();
	    
	    $data['allbooking'] = $this->dashboard_model->get_booking($fstatus);
	    $data['status'] = $fstatus;
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/bookingaccounts.php',$data);
	    $this->load->view('admin/templates/footer');
	}
	public function services($status){
	    $data['title'] = 'PickMe Trip Booking Accounts';
	    switch($status){
            case 'food':
	            $fstatus=0;
	            $data['Ttitle'] = 'New Trip bookings';
                break;
            case 'parcel':
	            $fstatus=1;
	            $data['Ttitle'] = 'All Bike Trip Bookings';
                break;
            case 'hire':
	            $fstatus=2;
	            $data['Ttitle'] = 'All Car Trip Bookings';
                break;
            default:
	            //$data['Ttitle'] = 'All Users';
                //$fstatus=$status;
	    }
	    
	    $data['AwaitingFood'] = $this->dashboard_model->AwaitingFood();
	    $data['AwaitingParcel'] = $this->dashboard_model->AwaitingParcel();
	    $data['CompletedFood'] = $this->dashboard_model->CompletedFood();
	    $data['CompletedParcel'] = $this->dashboard_model->CompletedParcel();
	    
	    $data['allservice'] = $this->dashboard_model->get_service($fstatus);
	    
	    $data['status'] = $fstatus;
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/serviceaccounts.php',$data);
	    $this->load->view('admin/templates/footer');
	}

	public function transactions($type){
	    $data['title'] = 'User Transactions';
	    switch($type){
            case 'trip':
                $status = '0';
	            $data['Ttitle'] = 'Trip Transactions';
                break;
            case 'service':
                $status = '1';
	            $data['Ttitle'] = 'Service Transactions';
                break;
            case 'deposit':
	            $status = "2";
	            $data['Ttitle'] = 'Deposit Transactions';
                break;
            case 'withdraw':
	            $status = "3";
	            $data['Ttitle'] = 'Withdraw Transactions';
                break;    
            default:
	    }
	    $data['totalTrip'] = $this->dashboard_model->totalTrip();
	    $data['totalService'] = $this->dashboard_model->totalService();
	    $data['totalDeposit'] = $this->dashboard_model->totalDeposit();
	    $data['TotalWithdraw'] = $this->dashboard_model->TotalWithdraw();
	    
	    $data['transactions'] = $this->dashboard_model->get_transactions($status); 
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/transactions',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function messages($messageType){
    
		switch ($messageType) {
			case 'sMessages':
			        $alldrivers = $this->dashboard_model->alldriversCount();
                    $allriders = $this->dashboard_model->allridersCount();
                    $allmembers = $this->dashboard_model->allmembersCount();
        
                    $data['alluser'] = $alldrivers + $allriders + $allmembers;
                    $data['alldrivers'] = $alldrivers;
                    $data['allriders'] = $allriders;
                    $data['allmembers'] = $allmembers;
					$data['title'] = 'Send Messages And Notification';
					$this->load->view('admin/templates/header',$data);
					$this->load->view('admin/templates/left-sidebar');
					$this->load->view('admin/templates/content-header');
					$this->load->view('admin/pages/sendmessage',$data);
					$this->load->view('admin/templates/footer');
				 break;
			case 'sEmailNotifications':
			        $alldrivers = $this->dashboard_model->alldriversCount();
                    $allriders = $this->dashboard_model->allridersCount();
                    $allmembers = $this->dashboard_model->allmembersCount();
        
                    $data['alluser'] = $alldrivers + $allriders + $allmembers;
                    $data['alldrivers'] = $alldrivers;
                    $data['allriders'] = $allriders;
                    $data['allmembers'] = $allmembers;
					$data['title'] = 'Send Email Notifications';
					$this->load->view('admin/templates/header',$data);
					$this->load->view('admin/templates/left-sidebar');
					$this->load->view('admin/templates/content-header');
					$this->load->view('admin/pages/sendnotifications',$data);
					$this->load->view('admin/templates/footer');
				 break;
			
			default:

				break;

		}
	}
	
	public function sendMessagesBatch(){
		$client_REQUEST = $_POST;

		$recipients = $client_REQUEST['recipients'];
		$subject = $client_REQUEST['subject'];
		$message_body = $client_REQUEST['message_body'];
		$template = $client_REQUEST['template'];

		switch ($recipients)
		{
			case '1': 
					//All users 
					$all_users = $this->dashboard_model->fetchAllUsersA();
					foreach ($all_users as $ind => $user){
						$nofify_object = array(
							'title' => 'New Message List',
			                    'message' => $message_body,
			                    'type' => 'single_chat',
			                    'title' => $subject,
			                    'chatWithId' => '',
			                    'chatWithUsername' => "Admin Message",
			                    'chatWithImg' => '',
			                    'token' => $user['fcmtoken']
						);
						
						if($template == "sms"){
						    $this->sendSms($user['phone_no'], $message_body);
						}else{
						    $this->notify($nofify_object);   
						}

						//$this->saveAdminEmails($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all users on the platform');
					$this->messages('sMessages');
				break;
			case '2': 
					//All Users 
					$allMembers = $this->dashboard_model->fetchAllMembers();
					foreach ($allMembers as $inde => $user_act) {
						$nofify_object = array(
							'title' => 'New Message List',
			                    'message' => $message_body,
			                    'type' => 'single_chat',
			                    'title' => $subject,
			                    'chatWithId' => '',
			                    'chatWithUsername' => "Admin Message",
			                    'chatWithImg' => '',
			                    'token' => $user_act['fcmtoken']
						);
						
						if($template == "sms"){
						    $this->sendSms($user_act['phone_no'], $message_body);
						}else{
						    $this->notify($nofify_object);   
						}
						//$this->saveAdminEmails($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all active users on the platform');
					$this->messages('sMessages');
				break;
			case '3':
					//All Drivers
					$allDriver = $this->dashboard_model->fetchAllDrivers();
					foreach ($allDriver as $index => $drivers) {
						$nofify_object = array(
			                    'message' => $message_body,
			                    'type' => 'single_chat',
			                    'title' => $subject,
			                    'chatWithId' => '',
			                    'chatWithUsername' => "Admin Message",
			                    'chatWithImg' => '',
			                    'token' => $drivers['fcmtoken']
						);
						
						if($template == "sms"){
						    $this->sendSms($drivers['phone_no'], $message_body);
						}else{
						    $this->notify($nofify_object);   
						}
						//$this->saveAdminEmails($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to All Verified users on the platform');
					$this->messages('sMessages');
				break;
			case '4':
					//All Riders
					$allRiders = $this->dashboard_model->fetchAllRiders();
					foreach ($allRiders as $index_unv => $riders) {
						$nofify_object = array(
							'title' => 'New Message List',
			                    'message' => $message_body,
			                    'type' => 'single_chat',
			                    'title' => $subject,
			                    'chatWithId' => '',
			                    'chatWithUsername' => "Admin Message",
			                    'chatWithImg' => '',
			                    'token' => $riders['fcmtoken']
						);
						
						if($template == "sms"){
						    $this->sendSms($riders['phone_no'], $message_body);
						}else{
						    $this->notify($nofify_object);   
						}

						//$this->saveAdminEmails($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all Unverified users on the platform');
					$this->messages('sMessages');
				break;
			case '5':
					//A users
					$phone_no= "08039182639";
					$account_type= "member";
					$indivi_users = $this->dashboard_model->fetchUserDetails($phone_no,$account_type);
				
				        $nofify_object = array(
							'title' => 'New Message List',
			                    'message' => $message_body,
			                    'type' => 'single_chat',
			                    'title' => $subject,
			                    'chatWithId' => '',
			                    'chatWithUsername' => "Admin Message",
			                    'chatWithImg' => '',
			                    'token' => $indivi_users['fcmtoken']
						);
						
						if($template == "sms"){
						    $this->sendSms($indivi_users['phone_no'], $message_body);
						}else{
						    $this->notify($nofify_object);   
						}
			              
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all Unverified users on the platform');
					$this->messages('sMessages');
				break;
			default:

				break;
		}
	}

	public function sendEmailsBatch(){
		$client_REQUEST = $_POST;

		$recipients = $client_REQUEST['recipients'];
		$cc_email = $client_REQUEST['cc_email'];
		$bcc_email = $client_REQUEST['bcc_email'];
		$subject = $client_REQUEST['subject'];
		$message_body = $client_REQUEST['message_body'];
		$template = $client_REQUEST['template'];

		switch ($recipients)
		{
			case '1': 
					//All users 
					$all_users = $this->dashboard_model->fetchAllUsersA();
					foreach ($all_users as $ind => $user){
						$user_names = ucfirst($user['first_name']) . ' ' . ucfirst($user['last_name']);
					    $sender_msg_object = array(
						    'user_id' => $user['id'],
						    'names' => $user_names,
						    'email' => $user['email'],
						    'phone' => $user['phone_no'],
						    'cc_email' => $cc_email,
						    'bcc_email' => $bcc_email,
						    'subject' => $subject,
						    'message' => "{$message_body}",
						    'status' => 2,
						    'm_type' => 1,
						    'type' => 1,
						    'template' => $template,
						    'option' => 0,
					    );

					    //$this->saveAdminEmails($sender_msg_object);
					    $this->saveAdminEmailsTemplate($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all users on the platform');
					$this->messages('sEmailNotifications');
				break;
			case '2': 
					//All Users 
					$allMembers = $this->dashboard_model->fetchAllMembers();
					foreach ($allMembers as $inde => $user_act) {
						$names = ucfirst($user_act['first_name']) . ' ' . ucfirst($user_act['last_name']);
						$sender_msg_object = array(
							'user_id' => $user_act['id'],
							'names' => $names,
							'email' => $user_act['email'],
							'phone' => $user_act['phone_no'],
							'cc_email' => $cc_email,
						    'bcc_email' => $bcc_email,
							'subject' => $subject,
						    'message' => "{$message_body}",
						    'status' => 2,
						    'm_type' => 1,
						    'type' => 1,
						    'template' => $template,
						    'option' => 0,
						);

						//$this->saveAdminEmails($sender_msg_object);
					    $this->saveAdminEmailsTemplate($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all Members on the platform');
					$this->messages('sEmailNotifications');
				break;
			case '3':
					//All Drivers
					$allDriver = $this->dashboard_model->fetchAllDrivers();
					foreach ($allDriver as $index => $drivers) {
						$names = ucfirst($drivers['first_name']) . ' ' . ucfirst($drivers['last_name']);
						$sender_msg_object = array(
							'user_id' => $drivers['id'],
							'names' => $names,
							'email' => $drivers['email'],
							'phone' => $drivers['phone_no'],
							'cc_email' => $cc_email,
						    'bcc_email' => $bcc_email,
							'subject' => $subject,
						    'message' => "{$message_body}",
						    'status' => 2,
						    'm_type' => 1,
						    'type' => 1,
						    'template' => $template,
						    'option' => 0,
						);

						//$this->saveAdminEmails($sender_msg_object);
					    $this->saveAdminEmailsTemplate($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to All Drivers on the platform');
					$this->messages('sEmailNotifications');
				break;
			case '4':
					//All Riders
					$allRiders = $this->dashboard_model->fetchAllRiders();
					foreach ($allRiders as $index_unv => $riders) {
						$names = ucfirst($riders['first_name']) . ' ' . ucfirst($riders['last_name']);
						$sender_msg_object = array(
							'user_id' => $riders['id'],
							'names' => $names,
							'email' => $riders['email'],
							'phone' => $riders['phone_no'],
							'cc_email' => $cc_email,
						    'bcc_email' => $bcc_email,
							'subject' => $subject,
						    'message' => "{$message_body}",
						    'status' => 2,
						    'm_type' => 1,
						    'type' => 1,
						    'template' => $template,
						    'option' => 0,
						);

						//$this->saveAdminEmails($sender_msg_object);
					    $this->saveAdminEmailsTemplate($sender_msg_object);
					}
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to all Riderss on the platform');
					$this->messages('sEmailNotifications');
				break;
			case '5':
					//A users
					$phone_no= "08039182639";
					$account_type= "member";
					$user = $this->dashboard_model->fetchUserDetails($phone_no,$account_type);
					$names = ucfirst($user['first_name']) . ' ' . ucfirst($user['last_name']);
						$sender_msg_object = array(
							'user_id' => $user['id'],
							'names' => $names,
							'email' => $user['email'],
							'phone' => $user['phone_no'],
							'cc_email' => $cc_email,
						    'bcc_email' => $bcc_email,
							'subject' => $subject,
						    'message' => "{$message_body}",
						    'template' => $template,
						);

						//$this->saveAdminEmails($sender_msg_object);
					    $this->saveAdminEmailsTemplate($sender_msg_object);
						
					$this->session->set_flashdata('valid_form_submission', 'Your message has been sent to the User');
					$this->messages('sEmailNotifications');
				break;
			default:

				break;
		}
	}
	
	public function sendUserMessage(){
		$client_REQUEST = $_POST;

		$email = $client_REQUEST['recipients'];
		$subject = $client_REQUEST['subject'];
		$message_body = $client_REQUEST['message_body'];
		$template = $client_REQUEST['template'];
		$phone_no = $client_REQUEST['phone'];
		$account_type = $client_REQUEST['account'];

			$indivi_users = $this->dashboard_model->fetchUserDetails($phone_no,$account_type);
				
				$nofify_object = array(
			         'message' => $message_body,
			         'type' => 'single_chat',
			         'title' => $subject,
			         'chatWithId' => '',
			         'chatWithUsername' => "Admin Message",
			         'chatWithImg' => '',
			         'token' => $indivi_users['fcmtoken']
				);
						
				if($template == "sms"){
					$this->sendSms($indivi_users['phone_no'], $message_body);
				}elseif($template == "app"){
				    $this->notify($nofify_object);   
				}else{
				    $names = ucfirst($indivi_users['first_name']) . ' ' . ucfirst($indivi_users['last_name']);
						$sender_msg_object = array(
							'user_id' => $indivi_users['id'],
							'names' => $names,
							'email' => $indivi_users['email'],
							'phone' => $indivi_users['phone_no'],
							'cc_email' => $cc_email,
						    'bcc_email' => $bcc_email,
							'subject' => $subject,
						    'message' => "{$message_body}",
						    'template' => $template,
						);

				    $this->saveAdminEmailsTemplate($sender_msg_object);   
				}
			              
			$this->session->set_flashdata('valid_form_submission', 'Your message has been sent successfully');
			redirect("admin/dashboard/viewprofile/userprofile/$phone_no/$account_type");
			
	}
	
	public function callAPI($method,$url,$data,$headers = false){
        $curl = curl_init();
            switch ($method){
                case "POST":
                    curl_setopt($curl, CURLOPT_POST, 1);
                    if ($data)
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
                break;
                case "PUT":
                    curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "PUT");
                    if ($data)
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);			 					
                break;
                default:
                    if ($data)
                    $url = sprintf("%s?%s", $url, http_build_query($data));
            }
            
            // OPTIONS:
            curl_setopt($curl, CURLOPT_URL, $url);
            if(!$headers){
                curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type: application/json',));
            }else{
                //curl_setopt($curl, CURLOPT_HTTPHEADER, array($headers));
                curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
            }
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
            
            // EXECUTE:
            $result = curl_exec($curl);
            
            if(!$result){die("Connection Failure");}
            
            curl_close($curl);
            
            return $result;
    }
	
	public function sendSms($phone,$message){
	    
	    $sender='PickMe Nigeria';
	    $username = 'adfemconsult';
        $passd = 'adfemconsult123';
        $newPhoe = $phone;
        //$newPhoe = "234".$phone;
        //$newPhoe = '2348039182639';

        //$url='https://conveysms.com/index.php?option=com_spc&comm=spc_api&username='.$username.'&password='.$passd.'&sender='.$sender.'&recipient=2348039182639&message='.$message;

        $url = 'https://conveysms.com/index.php';

        $fields = array(
            "option"=> "com_spc",
            'comm' => "spc_api",
            'username' => $username,
            "password"=> $passd,
            'sender' => $sender,
            "recipient" => $newPhoe,
            "message" => $message,
        );
        
        $urls = sprintf("%s?%s", $url, http_build_query($fields));
       
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, $urls);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array("Accept: application/json", "Content-Type: text/plain"));

       $result = curl_exec($ch);
        if ($result === FALSE) {
           die('Curl failed: ' . curl_error($ch));exit;
        }

       file_put_contents( 'fields2.log', print_r($result, true ));
       file_put_contents( 'fields.log', print_r($urls, true ));

        curl_close($ch);
   
    }
    
    public function notify($arry){

      $push_data = $arry;
      // Set POST variables
         $url = 'https://fcm.googleapis.com/fcm/send';
         $phone=$push_data['token'];
         unset($push_data['token']);
         
        $notification["title"] = $push_data['title'];
        $notification["body"] = $push_data['message'];
        $notification["image"] = $push_data['chatWithImg'];
        
        $fields = array(
            'to' => $phone,
            "priority"=> "high",
            "content_available"=> true,
            'data' => $push_data,
            'notification' => $notification,
            "direct_book_ok" => true,
        );

        
        $headers = array(
           // 'Authorization:key=AIzaSyDlLfhuaGDSlqTb3RIY3VJ2DWYSS60TyKU',
            'Authorization:key=AAAAO2WxzVU:APA91bG7IFdGeNlawLsq6sWlmqf3sg1FR5ZeoMDTolVXiK_FYxNPUnwyP6uzEI04iNGaL-YczDjQwdfyuP1-oK4lXBt57SPuz5VuAqtJtYJcDbfoADldyo1t4Vi5nzbkVUNDayOdmhvg',
            'Content-Type: application/json'
        );
       
       
        $ch = curl_init();
        // Set the url, number of POST vars, POST data
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        // Disabling SSL Certificate support temporarly
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
        // Execute post
       $result = curl_exec($ch);
        if ($result === FALSE) {
           die('Curl failed: ' . curl_error($ch));exit;
        }
       // echo $result ;
     //  file_put_contents( 'fields2.log', print_r($result, true ));
      // file_put_contents( 'fields.log', print_r($fields, true ));
        // Close connection
        curl_close($ch);
   
        //return json_decode($result);

    }
    
    public function saveAdminEmailsTemplate($message_array){
	
		try {
		    
		    //$email = \Config\Services::email();

            //$email->setFrom('your@example.com', 'Your Name');
            //$email->setTo('someone@example.com');
            //$email->setCC('another@another-example.com');
           // $email->setBCC('them@their-example.com');

            //$email->setSubject('Email Test');
            //$email->setMessage('Testing the email class.');
            //$filename = '/img/photo1.jpg';
            //$email->attach($filename);
            //$email->attach('/path/to/photo1.jpg');
            //$email->attach('/path/to/photo2.jpg');
            //$email->attach('/path/to/photo3.jpg');

            //$email->send();
		    
                $config['protocol'] = 'sendmail'; // mail/sendmail/smtp
                $config['mailpath'] = '/usr/sbin/sendmail'; // Sendmail path
                $config['wordwrap'] = FALSE;
                $config['smtp_port'] = 465;
                $config['smtp_host'] = 'pickmenigeria.com';
                $config['smtp_user'] = 'noreply@pickmenigeria.com';
                $config['smtp_pass'] = 'adfemconsult123';
                $config['charset'] = 'iso-8859-1';
                //if ($message_array['template'] == "plain") {
                //    $config['mailtype'] = "text";
               // } else {
                    $config['mailtype'] = "html";
                //}

                //$this->load->library('email',$config);
                //$this->email->set_newline("\r\n");
                $this->load->library('email');
                $this->email->initialize($config);
            
            $this->email->from('noreply@pickmenigeria.com', 'PickMe Nigeria');
            $this->email->to($message_array['email']);
            $this->email->cc('');
            $this->email->bcc('');

            $this->email->subject($message_array['subject']);
            if ($message_array['template'] == "plain") {
                $bb = $this->approveEmailTemplate($message_array);
            } else {
                $bb = $message_array['message'];
            }
            $this->email->message($bb);
            $result = $this->email->send();
            if($result){
               // echo "email sent ";
               file_put_contents( 'fields.log', print_r($message_array, true ));
             } else {
                // echo "email not sent ";
                 $error = $this->email->print_debugger();
               //file_put_contents( 'fields2.log', print_r("Email Failed", true ));
               file_put_contents( 'fields2.log', print_r($error, true ));
             }
            
            
        } catch (Exception $e) {
            // Fail silently
            file_put_contents( 'fields2.log', print_r($e->getMessage(), true ));
            exit;
        }
	}
	
	public function adminapprovalform(){
	    $data['title'] = 'Admin Authorization';
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/login',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function setcomPage(){
		$client_REQUEST = $_POST;
		$category = $client_REQUEST['category'];

		switch ($category){
			case 'suv': 
					$this->setcommissionpage('suv');
				break;
			case 'car': 
					$this->setcommissionpage('car');
				break;
			case 'bike': 
					$this->setcommissionpage('bike');
				break;
			case 'apiKey': 
					$this->getSettings($category);
				break;
			case 'admincreate': 
					$this->newadmin($category);
				break;	
			default:

				break;
		}
	}
	
	public function setcommission(){
	    $data['title'] = 'Set Commission';
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/setcommission',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function setcommissionpage($category){
	    $data['title'] = 'Set Commission';
	    $data['category'] = $category;
	    $data['amount_per_km'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['amount_per_km'] : "";
	    $data['amount_time'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['amount_time'] : "";
	    $data['basefare'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['basefare'] : "";
	    $data['company_percentage'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['company_percentage'] : "";
	    $data['driver_percentage'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['driver_percentage'] : "";

	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/loadcommission',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	
	public function adminusers(){
	    $data['Ttitle'] = 'Admin Management';
	    $data['title'] = 'Admin Management';
	    $data['allusers'] = $this->dashboard_model->get_alladmins();
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/adminusers',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function newadmin($category){
	    $data['title'] = 'Add New Admin';
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/newadmin',$data);
	    $this->load->view('admin/templates/footer');
	}
	public function editadmin($id){
	    $data['title'] = 'Edit Admin Account';
	    $dd = $this->dashboard_model->get_alladmins($id);
	    $data['admin'] = $dd;
	    $data['admin']['roles'] = explode(',',$dd['roles']);
	    
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/editadmin',$data);
		$this->load->view('admin/templates/popup_modals', $data);
	    $this->load->view('admin/templates/footer');
	}
	
	
	public function Logout()
    {
        $this->session->sess_destroy();
        redirect('login');
    }
    
    public function verificationToggler()
    {
        //$this->session->sess_destroy();
        //redirect('login');
    }
    
    public function updateCarDetails($user_id,$accttype){
         //$client_REQUEST = $_POST;
         $data = $this->input->post();
            if(count($this->dashboard_model->fetchUserDetails($user_id, $accttype)) > 0){
                
                if($accttype =='member'){
		            //$this->db->get_where('members', array('phone_no' => $user_id,'account_type' => $accttype));
				    $this->db->where('phone_no', $user_id);
				    $this->db->where('account_type', $accttype);
                    $this->db->update('members', $data);
                    $this->session->set_flashdata('update_co', 'Records Update Successfully');
	                redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
		        }
		        if($accttype =='driver'){
		            //$this->db->get_where('drivers', array('phone_no' => $user_id,'account_type' => $accttype));
				    $this->db->where('phone_no', $user_id);
				    $this->db->where('account_type', $accttype);
                    $this->db->update('drivers', $data);
                    $this->session->set_flashdata('update_co', 'Records Update Successfully');
	                redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
		        }
			        //$query = $this->db->get_where('riders', array('phone_no' => $user_id,'account_type' => $accttype));
                    $this->db->where('phone_no', $user_id);
				    $this->db->where('account_type', $accttype);
                    $this->db->update('riders', $data);
                    $this->session->set_flashdata('update_co', 'Records Update Successfully');
	                redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");

            }else{
                $this->session->set_flashdata('update_error', 'This User does not exit.');
			    redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
            }
         
	    
    }
    
    public function updateUserStatus($user_id,$accttype){
        $client_REQUEST = $_POST;

		$status = $client_REQUEST['status'];
        $user_object = $this->dashboard_model->fetchUserDetails($user_id, $accttype);
        $data = array('status' => $status);
        
            if(count($user_object) > 0){
                if($accttype =='member'){
		            //$this->db->get_where('members', array('phone_no' => $user_id,'account_type' => $accttype));
				    $this->db->where('phone_no', $user_id);
				    $this->db->where('account_type', $accttype);
                    $this->db->update('members', $data);
		        }
		        if($accttype =='driver'){
		            //$this->db->get_where('drivers', array('phone_no' => $user_id,'account_type' => $accttype));
				    $this->db->where('phone_no', $user_id);
				    $this->db->where('account_type', $accttype);
                    $this->db->update('drivers', $data);
		        }
			        //$query = $this->db->get_where('riders', array('phone_no' => $user_id,'account_type' => $accttype));
                    $this->db->where('phone_no', $user_id);
				    $this->db->where('account_type', $accttype);
                    $this->db->update('riders', $data);
                    
                $this->session->set_flashdata('valid_form_submission', 'Your message has been sent successfully');
			    redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");    
            }else{
                $this->session->set_flashdata('update_error', 'This User does not exit.');
			    redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
            }
        
        //$this->session->sess_destroy();
        //redirect('login');
    }
	
	public function updateadmin(){
	    $response = $this->dashboard_model->update_admindata();
	    
	     if($response['response']){
	        $this->session->set_flashdata('update_success', $response['msg']);
	    }else{
	        $this->session->set_flashdata('update_error', $response['msg']);
	    }
	   redirect('admin/adminmanagement');
	    
	    
	}
	public function deleteadmin($id){
	    $response = $this->dashboard_model->delete_admin($id);
	    if($response['response']){
	        $this->session->set_flashdata('update_success', $response['msg']);
	    }else{
	        $this->session->set_flashdata('update_error', $response['msg']);
	    }
	        redirect('admin/adminmanagement');
	}
	public function setnewadmin(){
	    $response = $this->dashboard_model->new_admin();
	    if($response['response']){
	        $this->session->set_flashdata('update_success', $response['msg']);
	        redirect($this->input->post('redirect'));
	    }else{
	        $this->session->set_flashdata('update_error', $response['msg']);
	        //redirect('admin/newadmin');
	    }
	   
	}
	
	public function getSettings($category){
	    $data['title'] = 'Set Api Keys';
	    $data['category'] = $category;
	    
	    $data['ravePub'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['ravePub'] : "";
	    $data['raveSec'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['raveSec'] : "";
	    $data['raveEcr'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['raveEcr'] : "";
	    $data['paystkPub'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['paystkPub'] : "";
	    $data['paystckSec'] = count($this->dashboard_model->get_settings($category)) > 0 ? $this->dashboard_model->get_settings($category)[0]['paystckSec'] : "";
	    
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/updateapikeys',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function updatesettings($category){
	    $client_REQUEST = $_POST;
		//$category = $client_REQUEST['category'];
	    $this->dashboard_model->update_settings($category);
	    $this->session->set_flashdata('update_co', 'Records Update Successfully');
	    redirect("admin/setcommission");
	    
	}
	

	public function changeadminpassword(){
	    $data['title'] = 'Admin Password';
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/adminpassword');
	    $this->load->view('admin/templates/footer');
	}
	
	
	public function setdminpassword(){
	    $data['title'] = 'Admin Password';
	    $response = $this->dashboard_model->changeadmin_password();
        $data['data'] = $response;
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/adminpassword',$data);
	    $this->load->view('admin/templates/footer');
	    if($response['response']){
	        $this->session->set_flashdata('update_success', $response['msg']);
	    }else{
	        $this->session->set_flashdata('update_error', $response['msg']);
	    }
	     
	    redirect($this->input->post('redirect'));
	}
	
	public function viewprofile($name, $user_id,$accttype){
		//verify if an id and a name was passed to the method.
		if(empty($user_id))  {
			$this->session->set_flashdata('invalid_arguements_length', 'Sorry, invalid request passed to the application. Please try again later.');
			redirect('admin/dashboard');
		} else {
			//get data from the model about the user and pass to the view.
			    
    			$user_object = $this->dashboard_model->fetchUserDetails($user_id, $accttype);
                $data['user'] = $user_object;
				$data['action'] = $name;
				$data['acctType'] = $accttype;

				
				$data['allbooking'] = $this->dashboard_model->get_userBooking($user_id,$accttype);
				$data['allservice'] = $this->dashboard_model->get_userService($user_id,$accttype);
	            $data['transactionsTrip'] = $this->dashboard_model->get_userTripTransactions($user_id,$accttype,"Trip");
	            $data['transactionsService'] = $this->dashboard_model->get_userServiceTransactions($user_id,$accttype,"Service");
	            $data['transactionsDeposit'] = $this->dashboard_model->get_userDepositTransactions($user_id,$accttype,"Deposit");
	            $data['transactionsWithdrw'] = $this->dashboard_model->get_userWithdrawTransactions($user_id,$accttype,"Withdraw");

				$this->load->view('admin/templates/header', $data);
				$this->load->view('admin/templates/left-sidebar');
				$this->load->view('admin/templates/content-header');
				$this->load->view('admin/pages/user_profile', $data);
				$this->load->view('admin/templates/popup_modals', $data);
				$this->load->view('admin/templates/footer');
				
				
				
		}
	}
	 
	public function assigndriver($refID){
	    $booked = $this->dashboard_model->fetchBookedService($refID);
	    
        //$data['alldrivers'] = $this->dashboard_model->alldriversCount();
        //$data['allriders'] = $this->dashboard_model->allridersCount();
        //$data['availdrivers'] = $this->dashboard_model->getAvailableDriver();
	    //$data['availriders'] = $this->dashboard_model->getAvailableRider();
	    $data['bookingdetails'] = $booked;
	    $data['drivers'] = $this->dashboard_model->fetchDriversForService();
	    $data['riders'] = $this->dashboard_model->fetchRidersForService();
	    //$data['drivers'] = $this->dashboard_model->searchDriverNearBy($long, $lat);
	    $data['bookedby'] = $this->dashboard_model->fetchUserDetails($booked['username'], $booked['account_type']);
	    
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/assignservicedriver',$data);
	    $this->load->view('admin/templates/footer');
	    
	}
	
	public function driverassigned(){
		$client_REQUEST = $_POST;
		$driversphone = $client_REQUEST['drivers'];
		$drivertype = $client_REQUEST['drivertype'];
		$bookedbyphone = $client_REQUEST['bookedbyphone'];
		$bookedbyacct = $client_REQUEST['bookedbyacct'];
		$bookingID = $client_REQUEST['bookingID'];

		$bookedusers = $this->dashboard_model->fetchUserDetails($bookedbyphone,$bookedbyacct);
		$driverassigned = $this->dashboard_model->fetchUserDetails($driversphone,$drivertype);
		$bookedID = $this->dashboard_model->fetchBookedService($bookingID);
		
		    $dataUpdate = array(
				'book_time' => time(),
				'status' => 'Inprogress',
				'driver_phone_no' => $driverassigned['phone_no'],
				'driver_first_name' => $driverassigned['first_name'],
				'driver_last_name' => $driverassigned['last_name'],
				'driver_platenumber' => $driverassigned['platenumber'],
				'drivertype' => $driverassigned['account_type'],
				'driverimage' => $driverassigned['picture_link']
			);

		$booking = $this->dashboard_model->updateServiceDriverAssigned($bookedID['ref_id'],$dataUpdate);

			$nofify_object = array(
			    'message' => 'Driver has been assign for the order '.$bookedID['type'].', '.$bookedID['ref_id'].' service requested',
			    'type' => 'single_chat',
			    'title' => 'Driver assigned for '.$bookedID['ref_id'],
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $bookedusers['fcmtoken']
			);
			$nofify_driver = array(
			    'message' => 'You are assigned to deliver '.$bookedID['type'].' for order ID '.$bookedID['ref_id'].', check your Service history on the app for order details.',
			    'type' => 'single_chat',
			    'title' => 'Assigned for Delivery',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $driverassigned['fcmtoken']
			);
			
			$this->notify($nofify_object);
			$message_body = 'You are assigned for order ID '.$bookedID['ref_id'].', '.$bookedID['type'].', check your Service history on the app for order details.';
			
			$this->notify($nofify_driver);
			
			$sender_msg_object = array(
				'user_id' => $driverassigned['id'],
				'names' => ucfirst($driverassigned['first_name']) . ' ' . ucfirst($driverassigned['last_name']),
				'email' => $driverassigned['email'],
				'phone' => $driverassigned['phone_no'],
				'subject' => 'Assigned for Delivery ID: '.$bookedID['ref_id'],
				'message' => "{$message_body}",
				'template' => 'plain',
			);

			$this->saveAdminEmailsTemplate($sender_msg_object); 
			$this->sendSms($driverassigned['phone_no'], $message_body);
			
			$this->session->set_flashdata('valid_form_submission', 'Driver has been assidned');
			redirect("admin/viewprofile/service/$bookedbyphone/$bookedbyacct");
			
	}
	
	 
	public function rejectImage(){
		$client_REQUEST = filter_var_array($_POST, FILTER_SANITIZE_STRING);
		$image_type = $client_REQUEST['photo_type'];
		$imageName = $client_REQUEST['imagename'];
		$user_id = $client_REQUEST['user_id'];
		$accttype = $client_REQUEST['account'];

		switch ($image_type) {
			case 'document1':
				 $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);
				 $this->dashboard_model->updateUserData($user_id,$accttype,$image_type,"");
				 $this->dashboard_model->deleteRejectedImage($imageName);
				 $this->session->set_flashdata('valid_form_submission', 'The selected user document has been successfully removed.');
				 //save and send the message
	 			$names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
	 			
	 			$msg_object = array(
	 				'user_id' => $user_det['phone_no'],
	 				'names' =>  $names,
	 				'email' => $user_det['email'],
	 				'phone' => $user_det['phone_no'],
	 				'subject' => 'PickMe Verification Document',
	 				'message' => 'Dear ' . $names . ', we are writing to inform you that your document has been rejected and removed from our application. Kindly re-upoad another document. Thanks',
	 				'template' => "plain",
	 			);
	 			
	 			$nofify_object = array(
			    'title' => 'New Message',
			    'message' => 'Dear ' . $names . ', we are writing to inform you that your document has been rejected and removed from our application. Kindly re-upoad another document. Thanks',
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_det['fcmtoken']
			    );

				$this->notify($nofify_object); 	
				$this->saveAdminEmailsTemplate($msg_object);	
			    
				 redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
				 break;
			case 'document2':
				 $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);
				 $this->dashboard_model->updateUserData($user_id,$accttype,$image_type,"");
				 $this->dashboard_model->deleteRejectedImage($imageName);
				 $this->session->set_flashdata('valid_form_submission', 'The selected user document has been successfully removed.');
				 //save and send the message
	 			$names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
	 			
	 			$msg_object = array(
	 				'user_id' => $user_det['phone_no'],
	 				'names' =>  $names,
	 				'email' => $user_det['email'],
	 				'phone' => $user_det['phone_no'],
	 				'subject' => 'PickMe Verification Document',
	 				'message' => 'Dear ' . $names . ', we are writing to inform you that your document has been rejected and removed from our application. Kindly re-upoad another document. Thanks',
	 				'template' => "plain",
	 			);
	 			
	 			$nofify_object = array(
			    'title' => 'New Message',
			    'message' => 'Dear ' . $names . ', we are writing to inform you that your document has been rejected and removed from our application. Kindly re-upoad another document. Thanks',
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_det['fcmtoken']
			    );

				$this->notify($nofify_object); 	
				$this->saveAdminEmailsTemplate($msg_object);	
			    
				 redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
				 
				 break;
			case 'document3':
				 $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);
				 $this->dashboard_model->updateUserData($user_id,$accttype,$image_type,"");
				 $this->dashboard_model->deleteRejectedImage($imageName);
				 $this->session->set_flashdata('valid_form_submission', 'The selected user document has been successfully removed.');
				 //save and send the message
	 			$names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
	 			
	 			$msg_object = array(
	 				'user_id' => $user_det['phone_no'],
	 				'names' =>  $names,
	 				'email' => $user_det['email'],
	 				'phone' => $user_det['phone_no'],
	 				'subject' => 'PickMe Verification Document',
	 				'message' => 'Dear ' . $names . ', we are writing to inform you that your document has been rejected and removed from our application. Kindly re-upoad another document. Thanks',
	 				'template' => "plain",
	 			);
	 			
	 			$nofify_object = array(
			    'title' => 'New Message',
			    'message' => 'Dear ' . $names . ', we are writing to inform you that your document has been rejected and removed from our application. Kindly re-upoad another document. Thanks',
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_det['fcmtoken']
			    );

				$this->notify($nofify_object); 	
				$this->saveAdminEmailsTemplate($msg_object);	
			    
				 redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
				 
				 break;
			
			default:
				$user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);
				$this->session->set_flashdata('invalid_form_submission', 'Sorry, your request could not be completed at the moment. Please, try again later.');
				redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
				break;
		}

	}
	
	public function uploadImage(){
        $client_REQUEST = filter_var_array($_POST, FILTER_SANITIZE_STRING);
		$image_type = $client_REQUEST['document'];
		$imageName = $client_REQUEST['imagename'];
		$user_id = $client_REQUEST['user_id'];
		$accttype = $client_REQUEST['account'];
		$docname = $client_REQUEST['docname'];
		
		$targerLocation      = '/home/pickmenigeria/public_html/rest1/profileImage/documents/';
		
		if($docname !=""){
		    $image1 = $docname; 
		}else{
		    $code3 = substr(str_shuffle(str_repeat($x='0123456789', ceil(9/strlen($x)) )),1,9);
		    $image1 = $code3.".jpg";  
		}
	
		//file_put_contents( 'fields2.log', print_r($result, true ));
		move_uploaded_file($_FILES['document']['tmp_name'], $targerLocation.$image1);
		
		//$user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);
		$this->dashboard_model->updateUserData($user_id,$accttype,$imageName,$image1);
		$this->session->set_flashdata('valid_form_submission', 'The selected user document has been successfully uploaded.');
		echo "<center><h2>✔️ Document Uploaded </h2></center>";
		
		redirect("admin/dashboard/viewprofile/userprofile/$user_id/$accttype");
		
	}
	 
	public function withdrawals(){
        $data['title'] = 'withdrawals';
        $data['withdrawals'] = $this->dashboard_model->AllWithdrawals();
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/withdrawals',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	public function userTableAction($user_id, $accttype, $tableID, $type)
	{
		//$client_REQUEST = filter_var_array($_POST, FILTER_SANITIZE_STRING);
		//$user_id = (int) $client_REQUEST['user_id'];
		//$accttype = $client_REQUEST['user_action'];
		//$tableID = $client_REQUEST['user_table_id'];
		//$type = $client_REQUEST['user_table_type'];

		if ($type == "booking") {
			
			$user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			//Prepare mail engine here
			$booking = $this->dashboard_model->updateBooking($tableID,"Cancelled");
            $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
            $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
            $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
            
			$nofify_object = array(
			    'title' => 'New Message',
			    'message' => "Dear {$member_names}, booking with reference ID {$booking['ref_id']} submitted has been Cancelled. Driver has been notified not come for pickup.",
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_det['fcmtoken']
			    );
			
			$nofify_driver = array(
			    'title' => 'New Message',
			    'message' => "Dear {$driver_names}, booking with reference ID {$booking['ref_id']} submitted has been Cancelled. You dont need to pickup the Passenger.",
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_driver['fcmtoken']
			    );    

				$this->notify($nofify_object);
				$this->notify($nofify_driver);
				
				//$this->saveAdminEmailsTemplate($msg_object);	
			    
			    $this->session->set_flashdata('wrequest_approved', 'Booking request has been Cancelled');
				 redirect("admin/dashboard/viewprofile/booking/$user_id/$accttype");
			
			
		} else {
		    if($type == "trip"){
		        $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			    //Prepare mail engine here
			    $booking = $this->dashboard_model->updateTransaction($tableID,"3","Trip");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
		    }elseif($type == "vservice"){
		        $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			    //Prepare mail engine here
			    $booking = $this->dashboard_model->updateTransaction($tableID,"2","Service");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
		        
		    }elseif($type == "deposit"){
		        $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			    //Prepare mail engine here
			    $booking = $this->dashboard_model->updateTransaction($tableID,"3", "Deposit");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
		    }elseif($type == "approve"){
		        $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			    //Prepare mail engine here
			    $booking = $this->dashboard_model->updateTransaction($tableID,"1", "Withdraw");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
		        
		    }elseif($type == "cancel"){
		        $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			    //Prepare mail engine here
			    $booking = $this->dashboard_model->updateTransaction($tableID,"2", "Withdraw");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                
		    }elseif($type == "assingdriver"){
		        
		        //$this->assigndriver($user_id, $accttype, $tableID);
		        $this->assigndriver($tableID);
		        
		        /*$user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);
			    $booking = $this->dashboard_model->updateService($tableID,"Inprogress");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);*/
                
		    }elseif($type == "cancelservice"){
		        $user_det = $this->dashboard_model->fetchUserDetails($user_id,$accttype);

			    //Prepare mail engine here
			    $booking = $this->dashboard_model->updateService($tableID,"Cancelled");
                $member_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
                $user_driver = $this->dashboard_model->fetchUserDetails($booking['driver_phone_no'],$booking['drivertype']);
                $driver_names = ucfirst($user_det['first_name']) . ' ' . ucfirst($user_det['last_name']);
		    }
			
            
			$nofify_object = array(
			    'title' => 'New Message',
			    'message' => "Dear {$member_names}, booking with reference ID {$booking['ref_id']} submitted has been Cancelled. Driver has been notified not come for pickup.",
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_det['fcmtoken']
			    );
			
			$nofify_driver = array(
			    'title' => 'New Message',
			    'message' => "Dear {$driver_names}, booking with reference ID {$booking['ref_id']} submitted has been Cancelled. You dont need to pickup the Passenger.",
			    'type' => 'single_chat',
			    'chatWithId' => '',
			    'chatWithUsername' => "Admin Message",
			    'chatWithImg' => '',
			    'token' => $user_driver['fcmtoken']
			    );    

				$this->notify($nofify_object);
				$this->notify($nofify_driver);
				
				//$this->saveAdminEmailsTemplate($msg_object);
				
				if($type == "cancelservice" || $type == "assingdriver"){
				    $this->session->set_flashdata('wrequest_approved', 'Booking request has been Updated');
				    redirect("admin/dashboard/viewprofile/service/$user_id/$accttype");
				}else{
				    $this->session->set_flashdata('wrequest_approved', 'Booking request has been Updated');
				    redirect("admin/dashboard/viewprofile/booking/$user_id/$accttype");
				}
			
			    
			    
			
		}

	}
	
	public function adminNotifyPopUp($data){
	    
	}
	
	public function debug($data){
	    echo '<pre>';
	    echo print_r($data,true);
	    echo '</pre>';
	}
	
	//this is to approve the withdrawal request
	public function approverequest($id,$redirect=""){
	    $this->dashboard_model->approvere_quest($id);
	    $this->session->set_flashdata('wrequest_approved', 'Withdrawal request has been Approved');
	    redirect('admin');
	}
	//this is to reject the withdrawal request
	public function rejectrequest($id){
	     $this->dashboard_model->reject_quest($id);
	    $this->session->set_flashdata('wrequest_rejected', 'Withdrawal request has been rejected');
			redirect('admin');
	}
	
	//this is to activate user
	public function activateUser($id,$redirect=""){
	    $this->dashboard_model->activate_user($id);
	    $this->session->set_flashdata('useractivated', 'User request has been Activated');
	    redirect('admin/useraccounts/suspended');
	}
	//this is to suspend user
	public function deactivateuser($id){
	     $this->dashboard_model->deactivate_user($id);
	    $this->session->set_flashdata('userdeactivated', 'User request has been Deactivated');
			redirect('admin/useraccounts/active');
	}
	//verify user after uploading documents
	public function verifyuser($id){
	     $this->dashboard_model->verify_user($id);
	    $this->session->set_flashdata('userverified', 'User has been verified successfully');
			redirect('admin/useraccounts/unverified');
	}
	
	public function approverequestinner($id,$redirect=""){
	    $this->dashboard_model->approvere_quest($id);
	    $this->session->set_flashdata('wrequest_approved', 'Withdrawal request has been Approved');
	    redirect('admin/withdrawals');
	}
	public function rejectrequestinner($id){
	     $this->dashboard_model->reject_quest($id);
	    $this->session->set_flashdata('wrequest_rejected', 'Withdrawal request has been rejected');
		redirect('admin/withdrawals');
	}
	
	public function disablemoneytab($id){
	    $this->dashboard_model->disable_moneytab($id);
	    $this->session->set_flashdata('disable_moneytab', 'User has been deactivated from using the Money Tabs');
			redirect('admin/transactions/users');
	}
	
	public function reversetransaction($id){
	    $this->dashboard_model->reverse_transaction($id);
	    $this->session->set_flashdata('reverse_transaction', 'Money has successfully been reversed');
			redirect('admin/transactions/users');
	}
	//reverse deposit
	public function reverdeposit($id){
	    $this->dashboard_model->reverse_deposit($id);
	    $this->session->set_flashdata('reverse_transaction', 'Money has successfully been reversed');
			redirect('admin/deposits');
	}
	
	public function enablemoneytab($id){
	    $this->dashboard_model->enable_moneytab($id);
	    $this->session->set_flashdata('enable_moneytab', 'User has been Activated to use Money Tabs');
			redirect('admin/transactions/users');
	}
	
	
	
	public function deposits($type="users"){
	    $data['title'] = 'User Transactions';
	    $data['Ttitle'] = 'Deposits Transactions';
	    $data['transactions'] = $this->dashboard_model->get_deposits();
	    $this->load->view('admin/templates/header',$data);
	    $this->load->view('admin/templates/left-sidebar');
	    $this->load->view('admin/templates/content-header');
		$this->load->view('admin/pages/deposits',$data);
	    $this->load->view('admin/templates/footer');
	}
	
	
	public function searchDriverNearBy($long,$lat){
	    $result = array();
        /*$curl = curl_init();
            switch ($method){
                case "POST":
                    curl_setopt($curl, CURLOPT_POST, 1);
                    if ($data)
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
                break;
                case "PUT":
                    curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "PUT");
                    if ($data)
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);			 					
                break;
                default:
                    if ($data)
                    $url = sprintf("%s?%s", $url, http_build_query($data));
            }
            
            // OPTIONS:
            curl_setopt($curl, CURLOPT_URL, $url);
            if(!$headers){
                curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type: application/json',));
            }else{
                //curl_setopt($curl, CURLOPT_HTTPHEADER, array($headers));
                curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
            }
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
            
            // EXECUTE:
            $result = curl_exec($curl);
            
            if(!$result){die("Connection Failure");}
            
            curl_close($curl);*/
            
            return $result;
    }
	
	
	public function approveEmailTemplate($message) {
	    $image_url = site_url('assets/images/');
	    $dear = "Dear " .$message['names'];
	    $template = <<<TemplateApprove
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> <html xmlns="http://www.w3.org/1999/xhtml" xmlns:o="urn:schemas-microsoft-com:office:office" style="width:100%;font-family:georgia, times, 'times new roman', serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;padding:0;Margin:0"> <head> <meta charset="UTF-8"> <meta content="width=device-width, initial-scale=1" name="viewport"> <meta name="x-apple-disable-message-reformatting"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <meta content="telephone=no" name="format-detection"> <title>New email</title> <!--[if (mso 16)]><style type="text/css"> a {text-decoration: none;} </style><![endif]--> <!--[if gte mso 9]><style>sup { font-size: 100% !important; }</style><![endif]--> <!--[if !mso]><!-- --> <link href="https://fonts.googleapis.com/css?family=Montserrat:500,800" rel="stylesheet"> <!--<![endif]-->
 <!--[if gte mso 9]><xml> <o:OfficeDocumentSettings> <o:AllowPNG></o:AllowPNG> <o:PixelsPerInch>96</o:PixelsPerInch> </o:OfficeDocumentSettings> </xml><![endif]--> <style type="text/css">
 #outlook a { 	padding:0; } .ExternalClass { 	width:100%; } .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div { 	line-height:100%; } .es-button { 	mso-style-priority:100!important; 	text-decoration:none!important; } a[x-apple-data-detectors] { 	color:inherit!important; 	text-decoration:none!important; 	font-size:inherit!important; 	font-family:inherit!important; 	font-weight:inherit!important; 	line-height:inherit!important; } .es-desk-hidden { 	display:none; 	float:left; 	overflow:hidden; 	width:0; 	max-height:0; 	line-height:0; 	mso-hide:all; } a.es-button:hover { 	border-color:#2CB543!important; 	background:#2CB543!important; } a.es-secondary:hover { 	border-color:#ffffff!important; 	background:#ffffff!important; } @media only screen and (max-width:600px) {u + #body { width:100vw!important } p, ul li, ol li, a { font-size:16px!important; line-height:120%!important } h1 
{ font-size:30px!important; text-align:center; line-height:120%!important } h2 { font-size:26px!important; text-align:center; line-height:120%!important } h3 { font-size:20px!important; text-align:center; line-height:120%!important } h1 a { font-size:30px!important } h2 a { font-size:26px!important } h3 a { font-size:20px!important } .es-menu td a { font-size:16px!important } .es-header-body p, .es-header-body ul li, .es-header-body ol li, .es-header-body a { font-size:16px!important } .es-footer-body p, .es-footer-body ul li, .es-footer-body ol li, .es-footer-body a { font-size:16px!important } .es-infoblock p, .es-infoblock ul li, .es-infoblock ol li, .es-infoblock a { font-size:12px!important } *[class="gmail-fix"] { display:none!important } .es-m-txt-c, .es-m-txt-c h1, .es-m-txt-c h2, .es-m-txt-c h3 { text-align:center!important } .es-m-txt-r, .es-m-txt-r h1, .es-m-txt-r h2, .es-m-txt-r h3 { text-align:right!important } 
.es-m-txt-l, .es-m-txt-l h1, .es-m-txt-l h2, .es-m-txt-l h3 { text-align:left!important } .es-m-txt-r img, .es-m-txt-c img, .es-m-txt-l img { display:inline!important } .es-button-border { display:block!important } .es-btn-fw { border-width:10px 0px!important; text-align:center!important } .es-adaptive table, .es-btn-fw, .es-btn-fw-brdr, .es-left, .es-right { width:100%!important } .es-content table, .es-header table, .es-footer table, .es-content, .es-footer, .es-header { width:100%!important; max-width:600px!important } .es-adapt-td { display:block!important; width:100%!important } .adapt-img { width:100%!important; height:auto!important } .es-m-p0 { padding:0px!important } .es-m-p0r { padding-right:0px!important } .es-m-p0l { padding-left:0px!important } .es-m-p0t { padding-top:0px!important } .es-m-p0b { padding-bottom:0!important } .es-m-p20b { padding-bottom:20px!important } .es-mobile-hidden, .es-hidden { display:none!important 
} tr.es-desk-hidden, td.es-desk-hidden, table.es-desk-hidden { width:auto!important; overflow:visible!important; float:none!important; max-height:inherit!important; line-height:inherit!important } tr.es-desk-hidden { display:table-row!important } table.es-desk-hidden { display:table!important } td.es-desk-menu-hidden { display:table-cell!important } .es-menu td { width:1%!important } table.es-table-not-adapt, .esd-block-html table { width:auto!important } table.es-social { display:inline-block!important } table.es-social td { display:inline-block!important } a.es-button, button.es-button { font-size:16px!important; display:block!important; border-left-width:0px!important; border-right-width:0px!important } } </style> </head> <body style="width:100%;font-family:georgia, times, 'times new roman', serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;padding:0;Margin:0">
 <div class="es-wrapper-color" style="background-color:#F7F7F7"> <!--[if gte mso 9]><v:background xmlns:v="urn:schemas-microsoft-com:vml" fill="t"> <v:fill type="tile" color="#F7F7F7"></v:fill> </v:background><![endif]--> <table cellpadding="0" cellspacing="0" class="es-wrapper" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;padding:0;Margin:0;width:100%;height:100%;background-repeat:repeat;background-position:center top"> <tr style="border-collapse:collapse"> <td valign="top" style="padding:0;Margin:0"> <table cellpadding="0" cellspacing="0" class="es-header" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%;background-color:#34265F;background-repeat:repeat;background-position:center bottom"> <tr style="border-collapse:collapse">
 <td align="center" bgcolor="#374dd0" style="padding:0;Margin:0;background-color:#374DD0"> <table class="es-header-body" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:transparent;width:600px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"> <!--[if mso]><table style="width:600px" cellpadding="0" cellspacing="0"><tr><td style="width:155px" valign="top"><![endif]--> <table cellpadding="0" cellspacing="0" class="es-left" align="left" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"> <tr style="border-collapse:collapse"> <td class="es-m-p0r es-m-p20b" align="center" style="padding:0;Margin:0;width:135px">
 <table cellpadding="0" cellspacing="0" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;border-top:8px solid transparent;border-bottom:10px solid transparent" role="presentation"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;font-size:0px"><a target="_blank" href="https://pickmenigeria.com/" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:14px;text-decoration:underline;color:#FFFFFF"><img class="adapt-img" src="{$image_url}10981609332109608.png" alt style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic" height="88"></a></td> </tr> </table></td> <td class="es-hidden" style="padding:0;Margin:0;width:20px"></td> </tr> </table> <!--[if mso]></td><td style="width:155px" valign="top"><![endif]-->
 <table cellpadding="0" cellspacing="0" class="es-left" align="left" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"> <tr style="border-collapse:collapse"> <td class="es-m-p20b" align="center" style="padding:0;Margin:0;width:135px"> <table cellpadding="0" cellspacing="0" width="100%" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:georgia, times, 'times new roman', serif;line-height:17px;color:#FFFFFF"><br></p></td> </tr> </table></td> <td class="es-hidden" style="padding:0;Margin:0;width:20px"></td> </tr> </table> <!--[if mso]></td><td style="width:135px" valign="top"><![endif]-->
 <table cellpadding="0" cellspacing="0" class="es-left" align="left" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"> <tr style="border-collapse:collapse"> <td class="es-m-p20b" align="center" style="padding:0;Margin:0;width:135px"> <table cellpadding="0" cellspacing="0" width="100%" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:georgia, times, 'times new roman', serif;line-height:17px;color:#FFFFFF"><br></p></td> </tr> </table></td> </tr> </table> <!--[if mso]></td><td style="width:20px"></td><td style="width:135px" valign="top"><![endif]-->
 <table cellpadding="0" cellspacing="0" class="es-right" align="right" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:right"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;width:135px"> <table cellpadding="0" cellspacing="0" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;border-top:10px solid transparent" role="presentation"> <tr style="border-collapse:collapse"> <td align="right" style="padding:0;Margin:0"><span class="es-button-border" style="border-style:solid;border-color:#13C296;background:#2CB543;border-width:0px;display:inline-block;border-radius:15px;width:auto">
<a href="https://play.google.com/store/apps/details?id=com.adfemconsult.pickme" class="es-button" target="_blank" style="mso-style-priority:100 !important;text-decoration:none !important;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:Montserrat, Helvetica, Roboto, Arial, sans-serif;font-size:14px;color:#FFFFFF;border-style:solid;border-color:#3B2495;border-width:10px 5px;display:inline-block;background:#3B2495;border-radius:15px;font-weight:normal;font-style:normal;line-height:17px;width:auto;text-align:center">Get PickMe App</a></span></td> </tr> </table></td> </tr> </table> <!--[if mso]></td></tr></table><![endif]--></td> </tr> </table></td> </tr> </table> <table cellpadding="0" cellspacing="0" class="es-content" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%">
 <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0"> <table bgcolor="#ffffff" class="es-content-body" align="center" cellpadding="0" cellspacing="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:transparent;width:600px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"> <table cellpadding="0" cellspacing="0" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" valign="top" style="padding:0;Margin:0;width:600px"> <table cellpadding="0" cellspacing="0" width="100%" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-bottom:10px;padding-top:20px">
<p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:16px;font-family:georgia, times, 'times new roman', serif;line-height:19px;color:#4A4A4A">$dear</p></td> </tr> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-top:25px;padding-bottom:40px"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:16px;font-family:georgia, times, 'times new roman', serif;line-height:19px;color:#4A4A4A">{$message['message']}</p></td> </tr> </table></td> </tr> <tr style="border-collapse:collapse"> <td class="es-m-p20b" align="left" style="padding:0;Margin:0;width:600px">
 <table cellpadding="0" cellspacing="0" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;border-bottom:7px solid transparent" role="presentation"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-top:5px;padding-bottom:10px"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:16px;font-family:georgia, times, 'times new roman', serif;line-height:19px;color:#4A4A4A"><br></p></td> </tr> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-top:10px;padding-bottom:20px"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:16px;font-family:georgia, times, 'times new roman', serif;line-height:19px;color:#4A4A4A">Thanks for patronize us,<br>The PickMe Nigeria Team<br>
support@pickmenigeria.com</p></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table> <table cellpadding="0" cellspacing="0" class="es-content" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%"> <tr style="border-collapse:collapse"> <td align="center" bgcolor="#5d76d2" style="padding:0;Margin:0;background-color:#5D76D2"> <table bgcolor="#FFFFFF" class="es-content-body" align="center" cellpadding="0" cellspacing="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:transparent;width:600px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-top:10px;padding-bottom:10px"> <table cellpadding="0" cellspacing="0" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px">
 <tr style="border-collapse:collapse"> <td align="center" valign="top" style="padding:0;Margin:0;width:600px"> <table cellpadding="0" cellspacing="0" width="100%" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" class="es-m-txt-c" style="padding:0;Margin:0;font-size:0"> <table cellpadding="0" cellspacing="0" class="es-table-not-adapt es-social" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" valign="top" style="padding:0;Margin:0;padding-right:10px"><a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1">
<img title="Facebook" src="{$image_url}facebook-rounded-colored.png" alt="Fb" width="32" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> <td align="center" valign="top" style="padding:0;Margin:0;padding-right:10px"><a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1"><img title="Twitter" src="{$image_url}twitter-rounded-colored.png" alt="Tw" width="32" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> <td align="center" valign="top" style="padding:0;Margin:0;padding-right:10px">
<a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1"><img title="Youtube" src="{$image_url}youtube-rounded-colored.png" alt="Yt" width="32" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> <td align="center" valign="top" style="padding:0;Margin:0;padding-right:10px"><a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1"><img title="Instagram" src="{$image_url}instagram-rounded-colored.png" alt="Ig" width="32" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td>
 <td align="center" valign="top" style="padding:0;Margin:0"><a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1"><img title="Linkedin" src="{$image_url}linkedin-rounded-colored.png" alt="In" width="32" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-bottom:10px;padding-left:20px;padding-right:20px"> <table cellpadding="0" cellspacing="0" width="100%" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" valign="top" style="padding:0;Margin:0;width:560px">
 <table cellpadding="0" cellspacing="0" width="100%" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;font-size:0px"><a target="_blank" href="https://pickmenigeria.com/" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1"><img class="adapt-img" src="{$image_url}10981609332109608.png" alt style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic" width="55"></a></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table>
 <table cellpadding="0" cellspacing="0" class="es-content" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0"> <table class="es-content-body" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:transparent;width:600px" cellspacing="0" cellpadding="0" align="center"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-bottom:10px;padding-left:20px;padding-right:20px"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td valign="top" align="center" style="padding:0;Margin:0;width:560px">
 <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:16px;font-family:georgia, times, 'times new roman', serif;line-height:19px;color:#4A4A4A"><br><strong>Copyright ©<span>&nbsp;<a href="http://pickmenigeria.com/" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:16px;text-decoration:underline;color:#1E31F1">PickMe Nigeria</a></span>.</strong>&nbsp;All rights reserved.<br><b>Developed By</b>&nbsp;Memail Global Integrated Limited</p></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr>
 </table> </div> </body>
 
</html>

TemplateApprove;
return $template;
	}
	
	
    public function approveEmailTemplateAD($message) {
	    //$image_url = site_url('assets/images/');
	    $dear = "Dear " .$message['names'];
	    $template = <<<TemplateApprove
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> <html xmlns="http://www.w3.org/1999/xhtml" xmlns:o="urn:schemas-microsoft-com:office:office" style="width:100%;font-family:tahoma, verdana, segoe, sans-serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;padding:0;Margin:0"> <head> <meta charset="UTF-8"> <meta content="width=device-width, initial-scale=1" name="viewport"> <meta name="x-apple-disable-message-reformatting"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <meta content="telephone=no" name="format-detection"> <title>New email</title> <!--[if (mso 16)]><style type="text/css">     a {text-decoration: none;}     </style><![endif]--> <!--[if gte mso 9]><style>sup { font-size: 100% !important; }</style><![endif]--> <!--[if gte mso 9]><xml> <o:OfficeDocumentSettings> <o:AllowPNG></o:AllowPNG> <o:PixelsPerInch>96</o:PixelsPerInch>
 </o:OfficeDocumentSettings> </xml><![endif]--> <style type="text/css">
 #outlook a { 	padding:0; } .ExternalClass { 	width:100%; } .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div { 	line-height:100%; } .es-button { 	mso-style-priority:100!important; 	text-decoration:none!important; } a[x-apple-data-detectors] { 	color:inherit!important; 	text-decoration:none!important; 	font-size:inherit!important; 	font-family:inherit!important; 	font-weight:inherit!important; 	line-height:inherit!important; } .es-desk-hidden { 	display:none; 	float:left; 	overflow:hidden; 	width:0; 	max-height:0; 	line-height:0; 	mso-hide:all; } @media only screen and (max-width:600px) {p, ul li, ol li, a { font-size:16px!important; line-height:150%!important } h1 { font-size:30px!important; text-align:center; line-height:120%!important } h2 { font-size:26px!important; text-align:center; line-height:120%!important } h3 { font-size:20px!important; text-align:center; 
line-height:120%!important } h1 a { font-size:30px!important } h2 a { font-size:26px!important } h3 a { font-size:20px!important } .es-menu td a { font-size:16px!important } .es-header-body p, .es-header-body ul li, .es-header-body ol li, .es-header-body a { font-size:16px!important } .es-footer-body p, .es-footer-body ul li, .es-footer-body ol li, .es-footer-body a { font-size:16px!important } .es-infoblock p, .es-infoblock ul li, .es-infoblock ol li, .es-infoblock a { font-size:12px!important } *[class="gmail-fix"] { display:none!important } .es-m-txt-c, .es-m-txt-c h1, .es-m-txt-c h2, .es-m-txt-c h3 { text-align:center!important } .es-m-txt-r, .es-m-txt-r h1, .es-m-txt-r h2, .es-m-txt-r h3 { text-align:right!important } .es-m-txt-l, .es-m-txt-l h1, .es-m-txt-l h2, .es-m-txt-l h3 { text-align:left!important } .es-m-txt-r img, .es-m-txt-c img, .es-m-txt-l img { display:inline!important } .es-button-border { display:block!important } 
.es-btn-fw { border-width:10px 0px!important; text-align:center!important } .es-adaptive table, .es-btn-fw, .es-btn-fw-brdr, .es-left, .es-right { width:100%!important } .es-content table, .es-header table, .es-footer table, .es-content, .es-footer, .es-header { width:100%!important; max-width:600px!important } .es-adapt-td { display:block!important; width:100%!important } .adapt-img { width:100%!important; height:auto!important } .es-m-p0 { padding:0px!important } .es-m-p0r { padding-right:0px!important } .es-m-p0l { padding-left:0px!important } .es-m-p0t { padding-top:0px!important } .es-m-p0b { padding-bottom:0!important } .es-m-p20b { padding-bottom:20px!important } .es-mobile-hidden, .es-hidden { display:none!important } tr.es-desk-hidden, td.es-desk-hidden, table.es-desk-hidden { width:auto!important; overflow:visible!important; float:none!important; max-height:inherit!important; line-height:inherit!important } tr.es-desk-hidden 
{ display:table-row!important } table.es-desk-hidden { display:table!important } td.es-desk-menu-hidden { display:table-cell!important } .es-menu td { width:1%!important } table.es-table-not-adapt, .esd-block-html table { width:auto!important } table.es-social { display:inline-block!important } table.es-social td { display:inline-block!important } a.es-button, button.es-button { font-size:20px!important; display:block!important; border-width:10px 0px 10px 0px!important } } </style> </head> <body style="width:100%;font-family:tahoma, verdana, segoe, sans-serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;padding:0;Margin:0"> <div class="es-wrapper-color" style="background-color:#F6F6F6"> <!--[if gte mso 9]><v:background xmlns:v="urn:schemas-microsoft-com:vml" fill="t"> <v:fill type="tile" color="#f6f6f6"></v:fill> </v:background><![endif]-->
 <table class="es-wrapper" width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;padding:0;Margin:0;width:100%;height:100%;background-repeat:repeat;background-position:center top"> <tr style="border-collapse:collapse"> <td valign="top" style="padding:0;Margin:0"> <table class="es-header" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%;background-color:transparent;background-repeat:repeat;background-position:center top"> <tr style="border-collapse:collapse"></tr> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0">
 <table class="es-header-body" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:#80572B;width:600px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:10px;Margin:0"> <!--[if mso]><table style="width:580px" cellpadding="0" cellspacing="0"><tr><td style="width:369px" valign="top"><![endif]--> <table class="es-left" cellspacing="0" cellpadding="0" align="left" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"> <tr style="border-collapse:collapse"> <td class="es-m-p0r es-m-p20b" valign="top" align="center" style="padding:0;Margin:0;width:369px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse">
 <td esdev-links-color="#efefef" align="left" style="padding:0;Margin:0"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:15px;font-family:tahoma, verdana, segoe, sans-serif;line-height:23px;color:#EFEFEF">PICKME NIGERIA</p></td> </tr> </table></td> </tr> </table> <!--[if mso]></td><td style="width:20px"></td><td style="width:191px" valign="top"><![endif]--> <table cellspacing="0" cellpadding="0" align="right" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;width:191px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td esdev-links-color="#efefef" align="right" style="padding:0;Margin:0">
<p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:11px;font-family:tahoma, verdana, segoe, sans-serif;line-height:17px;color:#EFEFEF"><br></p></td> </tr> </table></td> </tr> </table> <!--[if mso]></td></tr></table><![endif]--></td> </tr> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-right:10px"> <!--[if mso]><table style="width:590px" cellpadding="0" cellspacing="0"><tr><td style="width:188px" valign="top"><![endif]--> <table class="es-left" cellspacing="0" cellpadding="0" align="left" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"> <tr style="border-collapse:collapse"> <td class="es-m-p0r es-m-p20b" valign="top" align="center" style="padding:0;Margin:0;width:188px">
 <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="padding:10px;Margin:0;font-size:0px"><a target="_blank" href="http://pickmenigeria.com/" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:11px;text-decoration:underline;color:#EFEFEF"><img class="adapt-img" src="http://pickmenigeria.com/rest2/assets/ad/images/12991609487704547.png" alt style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic" height="38"></a></td> </tr> </table></td> </tr> </table> <!--[if mso]></td><td style="width:20px"></td><td style="width:382px" valign="top"><![endif]-->
 <table cellspacing="0" cellpadding="0" align="right" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;width:382px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td style="padding:0;Margin:0"> <table class="es-menu" width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr class="links" style="border-collapse:collapse"> <td style="Margin:0;padding-left:5px;padding-right:5px;padding-top:13px;padding-bottom:12px;border:0" id="esd-menu-id-0" width="33.33%" bgcolor="transparent" align="center">
<a target="_blank" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:none;display:block;color:#FFFFFF !important" href="http://pickmenigeria.com/">Car Hire Service</a></td> <td style="Margin:0;padding-left:5px;padding-right:5px;padding-top:13px;padding-bottom:12px;border:0" id="esd-menu-id-1" esdev-border-color="#000000" width="33.33%" bgcolor="transparent" align="center"><a target="_blank" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:none;display:block;color:#FFFFFF !important" href="http://pickmenigeria.com/">Delivery Service</a></td>
 <td style="Margin:0;padding-left:5px;padding-right:5px;padding-top:13px;padding-bottom:12px;border:0" id="esd-menu-id-2" esdev-border-color="#000000" width="33.33%" bgcolor="transparent" align="center"><a target="_blank" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:none;display:block;color:#FFFFFF" href="https://play.google.com/store/apps/details?id=com.adfemconsult.pickme">Get PickMe</a></td> </tr> </table></td> </tr> </table></td> </tr> </table> <!--[if mso]></td></tr></table><![endif]--></td> </tr> </table></td> </tr> </table> <table class="es-content" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%"> <tr style="border-collapse:collapse"></tr>
 <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0"> <table class="es-content-body" cellspacing="0" cellpadding="0" bgcolor="#ffffff" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:#FFFFFF;width:600px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td valign="top" align="center" style="padding:0;Margin:0;width:600px"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;display:none"></td> </tr> </table></td> </tr> </table></td> </tr>
 </table></td> </tr> </table> <table class="es-content" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0"> <table class="es-content-body" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:#FFFFFF;width:600px" cellspacing="0" cellpadding="0" bgcolor="#ffffff" align="center"> <tr style="border-collapse:collapse"> <td align="left" style="Margin:0;padding-top:40px;padding-bottom:40px;padding-left:40px;padding-right:40px"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse">
 <td valign="top" align="center" style="padding:0;Margin:0;width:520px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0;padding-bottom:10px"><h2 style="Margin:0;line-height:29px;mso-line-height-rule:exactly;font-family:georgia, times, 'times new roman', serif;font-size:24px;font-style:normal;font-weight:normal;color:#333333">$dear</h2></td> </tr> <tr style="border-collapse:collapse"> <td style="padding:0;Margin:0;position:relative" align="center"><a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:underline;color:#B58A60">
<img class="adapt-img" src="http://pickmenigeria.com/rest2/assets/ad/images/32451609487290355.png" alt="Happy new year 2018" title="Happy new year 2018" width="100%" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> </tr> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;padding-top:5px;padding-bottom:5px"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:tahoma, verdana, segoe, sans-serif;line-height:21px;color:#333333">{$message['message']}</p></td> </tr> </table></td> </tr> </table></td> </tr> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse">
 <td valign="top" align="center" style="padding:0;Margin:0;width:600px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;font-size:0"><img class="adapt-img" src="http://pickmenigeria.com/rest2/assets/ad/images/71111512570077222.png" alt style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic;width:600px" width="600"></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table> <table cellpadding="0" cellspacing="0" class="es-footer" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%;background-color:transparent;background-repeat:repeat;background-position:center top"> <tr style="border-collapse:collapse">
 <td align="center" style="padding:0;Margin:0"> <table class="es-footer-body" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:#F4EADE;width:600px"> <tr style="border-collapse:collapse"> <td align="left" style="padding:0;Margin:0"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td valign="top" align="center" style="padding:0;Margin:0;width:600px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="Margin:0;padding-bottom:15px;padding-left:15px;padding-right:15px;padding-top:20px">
<p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:tahoma, verdana, segoe, sans-serif;line-height:21px;color:#333333"><a target="_blank" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:20px;text-decoration:none;color:#333333;line-height:30px" href="tel:123456789"></a>NO 5, Prince Oye House, Beside Armstrong Paint,Ring Road,Osogbo,Osun State.</p><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:tahoma, verdana, segoe, sans-serif;line-height:21px;color:#333333">&nbsp;08082177492/0803302492</p>
<p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:tahoma, verdana, segoe, sans-serif;line-height:21px;color:#333333">Suite 2, Imam complex, Opposite Muslim Eid Praying Ground,Ilorin, Kwara State.</p><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:tahoma, verdana, segoe, sans-serif;line-height:21px;color:#333333">07048678233,08064315240<br></p></td> </tr> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;font-size:0"> <table class="es-table-not-adapt es-social" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td valign="top" align="center" style="padding:0;Margin:0;padding-right:10px">
<a target="_blank" href="https://#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:underline;color:#333333"><img title="Twitter" src="http://pickmenigeria.com/rest2/assets/ad/images/twitter-circle-colored.png" alt="Tw" width="24" height="24" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> <td valign="top" align="center" style="padding:0;Margin:0;padding-right:10px"><a target="_blank" href="https://#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:underline;color:#333333"><img title="Facebook" src="http://pickmenigeria.com/rest2/assets/ad/images/facebook-circle-colored.png" alt="Fb" width="24" height="24" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td>
 <td valign="top" align="center" style="padding:0;Margin:0;padding-right:10px"><a target="_blank" href="https://#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:underline;color:#333333"><img title="Youtube" src="http://pickmenigeria.com/rest2/assets/ad/images/youtube-circle-colored.png" alt="Yt" width="24" height="24" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> <td valign="top" align="center" style="padding:0;Margin:0"><a target="_blank" href="https://#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:underline;color:#333333">
<img title="Vkontakte" src="http://pickmenigeria.com/rest2/assets/ad/images/vk-circle-colored.png" alt="Vk" width="24" height="24" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> <tr style="border-collapse:collapse"> <td style="padding:0;Margin:0;background-color:#80572B" bgcolor="#80572b" align="left"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td valign="top" align="center" style="padding:0;Margin:0;width:600px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0;font-size:0">
<img src="http://pickmenigeria.com/rest2/assets/ad/images/96221507104192901.png" alt width="41" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></td> </tr> <tr style="border-collapse:collapse"> <td esdev-links-color="#f4eade" align="center" style="padding:0;Margin:0;padding-top:10px;padding-bottom:15px"><p style="Margin:0;-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-size:14px;font-family:tahoma, verdana, segoe, sans-serif;line-height:21px;color:#FFFFFF"><strong>Copyright ©<span>&nbsp;<a href="http://pickmenigeria.com/" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:underline;color:#501EBB">PickMe Nigeria</a></span>.</strong>&nbsp;All rights reserved.<br><b>Developed By</b>
&nbsp;Memail Global Integrated Limited<a target="_blank" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:14px;text-decoration:none;color:#501EBB" href=""></a></p></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table> <table class="es-content" cellspacing="0" cellpadding="0" align="center" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%"> <tr style="border-collapse:collapse"> <td align="center" style="padding:0;Margin:0"> <table class="es-content-body" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;background-color:transparent;width:600px" cellspacing="0" cellpadding="0" align="center"> <tr style="border-collapse:collapse">
 <td align="left" style="Margin:0;padding-left:20px;padding-right:20px;padding-top:30px;padding-bottom:30px"> <table width="100%" cellspacing="0" cellpadding="0" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td valign="top" align="center" style="padding:0;Margin:0;width:560px"> <table width="100%" cellspacing="0" cellpadding="0" role="presentation" style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px"> <tr style="border-collapse:collapse"> <td class="es-infoblock made_with" align="center" style="padding:0;Margin:0;line-height:120%;font-size:0;color:#CCCCCC">
<a target="_blank" href="#" style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;font-family:tahoma, verdana, segoe, sans-serif;font-size:12px;text-decoration:underline;color:#CCCCCC"><img src="#" alt width="125" style="display:block;border:0;outline:none;text-decoration:none;-ms-interpolation-mode:bicubic"></a></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table></td> </tr> </table> </div> <div style="position:absolute;left:-9999px;top:-9999px;margin:0cm 0cm 1.0E-4pt"></div> <div style="position:absolute;left:-9999px;top:-9999px"></div> </body>
 
</html>

TemplateApprove;
return $template;
	}
	
}
